/*
    Scan Tailor - Interactive post-processing tool for scanned pages.
    Copyright (C)  Joseph Artsimovich <joseph_a@mail.ru>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef OPENGL_SUPPORT_H_
#define OPENGL_SUPPORT_H_

#include <QString>

class OpenGLSupport {
 public:
  /**
   * \brief Returns true if OpenGL support is present and provides the necessary features.
   */
  static bool supported();

  /**
   * \brief Returns the device name (GL_RENDERER) associated with the default OpenGL context.
   *
   * \note This function has to be called from the GUI thread only.
   */
  static QString deviceName();
};


#endif
